import { BannerBackgroundsType, BannerForegroundsType, BannerSizesType, BannerTextColorsType } from "./constants";
export declare class GovBanner {
    private h;
    constructor();
    host: HTMLGovBannerElement;
    /**
     * Banner’s size.
     */
    readonly size: BannerSizesType;
    /**
     * Banner’s background
     */
    readonly background: BannerBackgroundsType;
    /**
     * Banner’s foreground
     */
    readonly foreground: BannerForegroundsType;
    /**
     * XL Banner’s text color
     */
    readonly textColor: BannerTextColorsType;
    validateSize(newValue: string): void;
    validateBackground(newValue: string): void;
    validateForeground(newValue: string): void;
    validateTextColor(newValue: string): void;
    componentWillLoad(): void;
    render(): any;
}
